> For the complete documentation index, see [llms.txt](https://docs.xy.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xy.finance/fee-structure/legacy-xy-bridge-fee-information.md).

# (Legacy) XY Bridge Fee Information

## How is the bridge fee calculated?

Users are able to roughly estimate the cost of a transaction depending on the formulae given below as reference.

* A small portion of fees is taken as a basic commission. Note that one can imagine the ***feeRate*** in the formula below as a constant, or a percentage figure by which any transaction amount (trading volume) should multiply, usually determined by XY DAO.

$$
BridgeFee = Amount \*feeRate
$$

* There are **lower bound** and **upper** **bound** in the Fee Structure to ensure that XY Finance can afford gas fees and will not impose any surcharges upon users.&#x20;

$$
\begin{equation}
\left{
\begin{array}{lr}
BridgeFee=minimumFee, & minimumFee > BridgeFee \\
BridgeFee=Amount \cdot feeRate, & minFee < BridgeFee < maximumFee\\
BridgeFee=maximumFee, & BridgeFee > maximumFee \\
\end{array}
\right.
\end{equation}\notag
$$

{% hint style="info" %}
If the trading volume multiplied by ***feeRate*** is less than the ***minimumFee***, then XY Finance will still charge the ***minimumFee*** as a basic commission.

If the trading volume multiplied *by **feeRate*** is more than the ***maximumFee***, then XY Finance will only charge the ***maximumFee*** as a basic commission.
{% endhint %}

{% hint style="info" %}
`feeRate, minimumFee & maximumFee are determined by XY`[`DAO`](broken://pages/xInosIqsU9Fb0JrCkjfE)`.`
{% endhint %}

## How much does the fee cost?

### General Cross-Chain&#x20;

When you perform cross-chain transactions of your assets through mainstream token pools (e.g., USDC/USDT/ETH), the following fees will be charged:

* `feeRate`: 0.050% - 0.400%
* `maximumFee` : $1,000
* `minimumFee`: The following value represent reference minimumFee for different chains; however, it is important to note that the actual prices may be subject to adjustment based on market conditions:
  * `Ethereum`: $15
  * `Avalanche, Cronos, BNB Chain, Optimism, Arbitrum, zkSync Era, Polygon zkEVM, Linea, Base, Mantle, Scroll`: $0.4 - $1.5
  * `Others`: $0.1 - $0.19

### xAsset Bridge&#x20;

The xAsset Bridge helps projects deploy their tokens onto different chains. When you perform cross-chain transactions involving these specific protocol tokens (e.g., XY/NUM), the following fees will be charged:

* `feeRate`: 0.1%
* `maximumFee`:  $1,000
* `minimumFee`: The following values represent the reference minimumFee ranges for different chains. However, it is important to note that actual prices may be subject to adjustment based on market conditions.&#x20;
  * `Ethereum`: $22.5
  * `Avalanche, Cronos, BNB Chain, Optimism, Arbitrum, zkSync Era, Polygon zkEVM, Linea, Base, Mantle`: $0.6 - $1.35
  * `Others`: $0.15 - $0.285

{% hint style="info" %}
Please note that bridge fees are subject to **change based on fluctuations in the market gas price**. If you are interested in integrating our service and **would like to know the current actual price, please feel free to contact us.**
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xy.finance/fee-structure/legacy-xy-bridge-fee-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
